<?php
//28965
require_once 'application/class/class_ManageSession.php';
/*
 *  Fichier de gestion du routage des commandes
 */

if (getValue('action') == 'affichage') {
    
    $no_cde = getValue('no_cde');

    $bloc_note  = SqlCde::isBlocNoteCde($no_cde)->Trouve1()['CONTMEMO'];

    $xslt       = new GenXslt(true);
    $xsl        = 'application/xsl/popup_bloc_note.xsl';
    $array      = [];

    $xslt       = new GenXslt(true);
    
    $id         = 'zoneNote';
    $actionNote = 'checkNote';
    $format     = 'A3000';
    $isVisible  = true;
    
    $btn       = new ComposantXslTexte($id, '', $format);
    $btn->setRowsCols(10, 65);
    $btn->setValeur($bloc_note);
    $btn->setLongueurMax(3000);
    $array['cde']['note'] = $btn->buildXml();
    $array['cde']['note']['!actif']=0;

    $array['action']      = 'AfficheNote';
    $array['popup_title'] = Trad('Note de la commande N°').' '.$no_cde;
    
    echo $xslt->XslHtml($xsl,$array);

}
$connecteur->disconnect();
exit();
?>